
%define debug_package %{nil}
Name:    tezos-accuser-PsParisC
Version: 21.3
Release: 1
Epoch: 1
Summary: Daemon for accusing
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-accuser-PsParisC-21.3.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v21.3/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , udev
%description
Daemon for accusing
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-accuser-PsParisC
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-accuser-PsParisC %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-accuser-PsParisC %{buildroot}/%{_bindir}/tezos-accuser-PsParisC



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-psparisc.service %{buildroot}/%{_unitdir}
install -m 644 tezos-accuser-psparisc@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-accuser-psparisc.default %{buildroot}/%{_sysconfdir}/default/tezos-accuser-psparisc

install -m 0755 tezos-accuser-psparisc-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-accuser-PsParisC
%{_bindir}/tezos-accuser-PsParisC

%{_bindir}/tezos-accuser-psparisc-start

%{_unitdir}/tezos-accuser-psparisc.service
%{_unitdir}/tezos-accuser-psparisc@.service

%{_sysconfdir}/default/tezos-accuser-psparisc



%post
%systemd_post tezos-accuser-psparisc.service
%systemd_post tezos-accuser-psparisc@.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-accuser-psparisc.service
%systemd_preun tezos-accuser-psparisc@.service


%postun
%systemd_postun_with_restart tezos-accuser-psparisc.service
%systemd_postun_with_restart tezos-accuser-psparisc@.service



